Component({
  props: {
    show: false,
    title: '',
    onClose: () => null,
    zIndex: 10000,
    className: ''
  },
  data: {},

  didMount() {},

  methods: {
    onPopupClose() {
      this.props.onClose();
    }

  }
});